1. Fiat APIs
AIO Docs
EN
  • EN
  • ZH
  • Overview
  • Create API Key
  • Callback
  • Security
  • Pay-in
  • Fiat Pay-in
  • Pay-out
  • API
    • Before You Begin
    • Fiat APIs
      • Fiat Pay-in Overview
      • Create KYC
        POST
      • List KYC
        GET
      • Supported Fiat Currencies
        GET
      • Crypto Map
        GET
      • Payment Methods/Codes
        GET
      • Fiat Deposit Limits
        GET
      • Fiat Pay-in Quote
        POST
      • Create Fiat Pay-in Order
        POST
      • List Fiat Pay-in Orders
        GET
    • Get Txs
      GET
    • Get Sub Txs
      GET
    • Get Tx Info
      GET
    • Create Payin Tx
      POST
    • Create Payin Longtime Tx
      POST
    • Create Payout Tx
      POST
    • Price
      GET
    • Calculate price
      GET
  • Schemas
    • Schemas
      • CallbackReqContentData
      • CallbackSubTxData
      • CallbackTxData
      • CallbackType
      • GetSubTxData
      • SubTxDataExt
      • SubTxStatus
      • GetSubTxDataResponse
      • CreateFiatKycRequest
      • CreateFiatKycResponse
      • Chain
      • ErrorResponseModel
      • PayTxData
      • PayTxStatusData
      • PayinLongTimeTxParams
      • PayinTxParams
      • PayoutSubTxParams
      • PayoutTxParams
      • PriceData
      • RedisKeyData
      • SubTxData
      • SuceedResponseModel
      • TestData
      • Token
      • TxData
      • TxDetailsData
      • TxStatus
      • TxType
      • VsToken
      • TestDataResponse
      • RedisKeyDataResponse
      • PriceDataResponse
      • PayTxDataResponse
      • PayTxStatusDataResponse
      • TxDetailsDataResponse
      • TxDataResponse
  1. Fiat APIs

Supported Fiat Currencies

Developing
GET
/v2/fiat/supported-fiat

What This API Does#

Returns fiat currencies currently supported for fiat pay-in.

Query Parameters#

FieldTypeRequired / NullableConditions / Notes
directionstringOptional, can be omittedPayment direction. Default is deposit for pay-in.

Response Structure#

[
  {
    "currency": "PHP",
    "logo_url": "https://cdn.transfi.com/currencies/php.png",
    "decimal_precision": 2
  },
  {
    "currency": "BRL",
    "logo_url": "https://cdn.transfi.com/currencies/brl.png",
    "decimal_precision": 2
  }
]

Logic in a Nutshell#

Call this endpoint before showing fiat options to users. New currencies appear here automatically when enabled.

Request

None

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.aio.cash/v2/v2/fiat/supported-fiat'
Response Response Example
{
    "success": true,
    "msg": "ok",
    "data": {}
}
Modified at 2026-05-18 08:39:10
Previous
List KYC
Next
Crypto Map
Built with